/***************************************************************************

			   PDC Prolog

             Copyright (c) 1986, 90 by Prolog Development Center

 FileName: TCMAIN.C
 PURPOSE: _main for Turbo C

 
  Date Modified, By,    Comments.
 
                      
***************************************************************************/

unsigned  _stklen = 10000;


/***************************************************************************
	Variables public in Prolog main module and .SYM file
***************************************************************************/

extern void * far PROLOG_Vars;
extern void * far PROLOG_SymbolTable;
void              PROLOG_ErrReport(unsigned);
void              PROLOG_Goal(void);


/***************************************************************************
	Entry to prolog
 RUN_Main for DOS needs five parameters:
   PROLOG_SymbolTable: Pointer to root of symbol table
   PROLOG_Vars:        Misc parameters transferred from compiler
   PROLOG_ErrReport:   Which error routine to call in case of runtime error
   PROLOG_Goal:        The address of the Prolog Goal.
   ReBoot:	       Boolean int, specifying if memory allocations
		       specified in a configuration file should alter
		       the running program. Always FALSE (ie 0).

***************************************************************************/

unsigned RUN_Main(void *runtimevars,void *SymbolTable,void (*goal)(void),
					void (*ERR_Report)(unsigned),int ReBoot);


/***************************************************************************
	Main C routine
***************************************************************************/

main()
{
  return(RUN_Main(&PROLOG_Vars,&PROLOG_SymbolTable,
					PROLOG_Goal,PROLOG_ErrReport,0));
}
